[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.RecNo

Current record number

## Declaration

Source position: db.pas line 1637

`public property TDataSet.RecNo : LongInt read GetRecNo write SetRecNo;`

## Description

RecNo returns the current position in the dataset. It can be written to set the cursor to the indicated position. This property must be implemented by TDataset descendents, for TDataset the property always returns -1.

This property should not be used if exact positioning is required. it is inherently unreliable.

## See also

TDataset.RecordCount |  | Number of records in the dataset

Documentation generated on: Feb 26 2014